HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Load Serving Entities

Use Load Serving Entities to find utilities and other organizations that sell or deliver electricity.

Use Load Serving Entities to find utilities and other organizations that sell or deliver electricity.

Load Serving Entity (LSE) is the industry term for what many users call a utility or electric company. Arcadia uses LSE because electricity service can involve different organizations. One company may sell electricity to the customer, while another operates the distribution system, manages meters, or delivers electricity to the site.

Use LSE data to identify the utility context for tariffs, territories, calendars, seasons, and time-of-use schedules. After you identify an LSE, use Territories to find service areas and location-based tariff regions.

Some characteristics and uses:

  • LSEs have one or more territories that they operate in.
  • LSEs have tariffs (rate plans) and are central to many of our data structures.

Load Serving Entity (LSE)

The LoadServingEntity object has the following data structure.

Name

Type

Fields

Description

lseId

Long

M

Unique Arcadia ID (primary key) for each LSE

name

String

M

Published name of the company

code

String

M

Shortcode (an alternate key). For US companies this is the EIA ID

websiteHome

String

M

The URL to the home page of the LSE website

offeringType

String

E

Utility classification is based on the type of service they offer. Possible values:
Bundled - The utility provides all the electricity services bundled into one, including the transportation (transmission and distribution) and the generation (energy) portion.
Delivery - Responsible for the transportation (transmission and distribution) of power only.
Energy - Provides only the generation (energy) portion of the service. Energy Suppliers are sometimes referred to as Retail Energy Providers.

ownership

String

E

Ownership structure. Most common values are
INVESTOR - Investor-owned utility managed as private enterprise.
COOP - Member-owned utility which is managed on a non-profit basis.
MUNI - Publicly owned utilities subject to local public control and regulation.
Others include "FEDERAL""POLITICAL_SUBDIVISION""RETAIL_ENERGY_MARKETER""WHOLESALE_ENERGY_MARKETER""TRANSMISSION""STATE""UNREGULATED".

serviceTypes

String

E

Service types offered to any customer. Current values include "ELECTRICITY" and "SOLAR_PV".

totalRevenues

Integer

E

Annual total revenue in thousands of local currency (e.g. USD).

totalSales

Integer

E

Annual total sales in MWh.

totalCustomers

Integer

E

Total customer count.

residentialServiceTypes

String

E

Service types offered to residential customers. Current values include "ELECTRICITY" and "SOLAR_PV". Blank means not offered.

residentialRevenues

Integer

E

Annual residential revenue in thousands of local currency (e.g. USD).

residentialSales

Integer

E

Annual residential sales in MWh.

residentialCustomers

Integer

E

Residential customer count.

commercialServiceTypes

String

E

Service types offered to commercial customers. Current values include "ELECTRICITY" and "SOLAR_PV". Blank means not offered.

commercialRevenues

Integer

E

Annual commercial revenue in thousands of local currency (e.g. USD).

commercialSales

Integer

E

Annual commercial sales in MWh.

commercialCustomers

Integer

E

Commercial customer count.

industrialServiceTypes

String

E

Service types offered to industrial customers. Current values include "ELECTRICITY" and "SOLAR_PV". Blank means not offered.

industrialRevenues

Integer

E

Annual industrial revenue in thousands of local currency (e.g. USD).

industrialSales

Integer

E

Annual industrial sales in MWh.

industrialCustomers

Integer

E

Industrial customer count.

transportationServiceTypes

String

E

Service types offered to transportation customers (such as municipal bus services, regional mass transit, etc.). Current values include "ELECTRICITY" and "SOLAR_PV". Blank means not offered.

transportationRevenues

Integer

E

Annual transportation revenue in thousands of local currency (e.g. USD).

transportationSales

Integer

E

Annual transportation sales in MWh.

transportationCustomers

Integer

E

Transportation customer count.

billingPeriodRepresentation

Billing
Period
Representation

E

Details about how the LSE represents billing periods.

Example LoadServingEntity objects

This example shows a basic LSE response object:

{
    "lseId": 2756,
    "name":"Georgia Power Co",
    "code":"7140",
    "websiteHome":"http://www.georgiapower.com/"
}

This example shows an LSE with extended fields included:

{
    "status": "success",
    "count": 1,
    "type": "LoadServingEntity",
    "results": [
    {
        "lseId": 734,
        "name": "Pacific Gas & Electric Co",
        "code": "14328",
        "websiteHome": "http://www.pge.com/",
        "offeringType": "Bundle",
        "ownership": "INVESTOR",
        "serviceTypes": "ELECTRICITY",
        "totalRevenues": 11582000,
        "totalSales": 83902268,
        "totalCustomers": 5213528,
        "residentialServiceTypes": "ELECTRICITY",
        "residentialRevenues": 4729295,
        "residentialSales": 30871669,
        "residentialCustomers": 4574094,
        "commercialServiceTypes": "ELECTRICITY",
        "commercialRevenues": 5486004,
        "commercialSales": 38534089,
        "commercialCustomers": 638387,
        "industrialServiceTypes": "ELECTRICITY",
        "industrialRevenues": 1366701,
        "industrialSales": 14496510,
        "industrialCustomers": 1047,
        "transportationServiceTypes": null,
        "transportationRevenues": 0,
        "transportationSales": 0,
        "transportationCustomers": 0,
        "billingPeriodRepresentation": {
          "fromDateOffset": 0,
          "toDateOffset": -1,
          "style": "InclusiveToDate"
        }
    }]
}

Billing Period Representation

There is more than one way to represent a billing period. The BillingPeriodRepresentation object describes how a billing period is represented for a given LSE.

We represent date ranges in what we call "Arcadia-style", which matches ISO 8601's "start/end" representation of time intervals.

The Billing Period Representation has the following data structure.

NameTypeFieldsDescription
fromDateOffsetIntegerMThe number of days to add to an Arcadia-style fromDate to obtain the LSE's start of a billing period.
toDateOffsetIntegerMThe number of days to add to an Arcadia-style toDate to obtain the LSE's end of a billing period.
styleStringMOur name for this particular style of Billing Period Representation.

Billing period styles

An Arcadia-style billing period is represented by two dates: the very first date of the billing period, and the date after the last day of the billing period. For instance, January 2015 would be represented as 2015-01-01 through 2015-02-01. The style for this is ArcadiaStyle. Most utilities use this style, and it matches the style of our API. SCE (Southern California Edison) uses this style.

Another common style is what we call InclusiveToDate, and this may seem more intuitive. In this style, the toDate is included in the billing period. So, for example, January 2015 would be represented as 2015-01-01 through 2015-01-31. PG&E (Pacific Gas & Electric) uses this style.

An unusual style that SDG&E (San Diego Gas & Electric) uses is ExclusiveFromDateAndInclusiveToDate; the toDate is included in the billing period but the fromDate is not. So, for example, January 2015 would be represented as 2014-12-31 through 2015-01-31. As far as we know, no other LSE uses this style.

The other style you'll see is Unknown, which means that we have not confirmed what style the LSE uses. If the style is Unknown, we assume that it is Arcadia-style.

Example

If you request an LSE with extended fields included, the response includes billingPeriodRepresentation. This abbreviated response shows where that object appears:

{
    "status": "success",
    "count": 1,
    "type": "LoadServingEntity",
    "results": [
    {
        "lseId": 734,
        "name": "Pacific Gas & Electric Co",
        "lseCode": "PGE",
        ...
        "billingPeriodRepresentation": {
          "fromDateOffset": 0,
          "toDateOffset": -1,
          "style": "InclusiveToDate"
        }
    }]
}

In this example, the toDateOffset is -1, which means that you must add this value to (i.e., subtract one day from) an Arcadia-style date to obtain the PG&E toDate. Conversely, you must subtract that value from (i.e., add one day to) the end date of a PG&E billing period to obtain the Arcadia-style toDate. For instance, if you have a PG&E bill from March 8th, 2015 through April 7th, 2015 (31 days), the equivalent Arcadia-style date range is 2015-03-08 through 2015-04-08.

Get Load Serving Entities

Search for LSEs and return them as LoadServingEntity objects in the standard response format. Use search parameters to find an LSE by name, or use location and service-type filters to find LSEs that serve a customer.

Resource URI

GET /rest/public/lses

Request parameters


NameTypeDescription
searchOnStringSearch one or more attributes within the LSE object. When search is specified but searchOn is not specified, the default field is name. Optional.
zipCodeStringZIP code or postcode where you want to find LSEs, such as a 5-digit US ZIP code. Most countries have regional, not national, utility service areas. When using this field, also pass country. Optional but recommended.
postCodeStringAlias for zipCode. Optional.
countryISO Country CodeISO country code for the zipCode or postCode. Use this because some countries use the same postal-code format. Optional.
ownershipsComma-separated StringOwnership structures to include. Values include "INVESTOR", "COOP", and "MUNI". See the ownership field above for the complete list. Optional.
serviceTypesComma-separated StringService types offered to any customer class. Valid values include "ELECTRICITY" and "SOLAR_PV". Optional.
residentialServiceTypesComma-separated StringService types offered to residential customers. Valid values include "ELECTRICITY" and "SOLAR_PV". Optional.
commercialServiceTypesComma-separated StringService types offered to commercial customers. Valid values include "ELECTRICITY" and "SOLAR_PV". Optional.
industrialServiceTypesComma-separated StringService types offered to industrial customers. Valid values include "ELECTRICITY" and "SOLAR_PV". Optional.
transportationServiceTypesComma-separated StringService types offered to transportation customers. Valid values include "ELECTRICITY" and "SOLAR_PV". Optional.

Example 1: Find residential electricity utilities for a ZIP code

GET /rest/public/lses?zipCode=94105&country=US&residentialServiceTypes=ELECTRICITY&fields=ext
{
  "status": "success",
   "count": 1,
   "type": "LoadServingEntity",
   "results": [
      {
         "lseId": 734,
         "name": "Pacific Gas & Electric Co",
         "code": "14328",
         "websiteHome": "http://www.pge.com/",
         "offeringType": "Bundle",
         "ownership": "INVESTOR",
         "serviceTypes": "ELECTRICITY",
         "totalRevenues": 11582000,
         "totalSales": 83902268,
         "totalCustomers": 5213528,
         "residentialServiceTypes": "ELECTRICITY",
         "residentialRevenues": 4729295,
         "residentialSales": 30871669,
         "residentialCustomers": 4574094,
         "commercialServiceTypes": "ELECTRICITY",
         "commercialRevenues": 5486004,
         "commercialSales": 38534089,
         "commercialCustomers": 638387,
         "industrialServiceTypes": "ELECTRICITY",
         "industrialRevenues": 1366701,
         "industrialSales": 14496510,
         "industrialCustomers": 1047,
         "transportationServiceTypes": null,
         "transportationRevenues": 0,
         "transportationSales": 0,
         "transportationCustomers": 0
      }
   ]
}

Example 2: Find LSEs by wildcard search

Use this pattern for typeahead search.

GET /rest/public/lses?&search=Pacific
{
  "status": "success",
   "count":4,
   "type":"LoadServingEntity",
   "results":[
      {
         "lseId":734,
         "name":"Pacific Gas & Electric Co",
         "code":"14328",
         "websiteHome":"http://www.pge.com/"
      },
      {
         "lseId":1164,
         "name":"Sierra Pacific Industries Inc",
         "code":"17164",
         "websiteHome":null
      },
      {
         "lseId":1165,
         "name":"Sierra Pacific Power Co",
         "code":"17166",
         "websiteHome":"http://www.nvenergy.com/"
      },
      {
         "lseId":3142,
         "name":"Pacific Power",
         "code":"14354",
         "websiteHome":"http://www.rockymountainpower.net/index.html"
      }
   ]
}

Get One Load Serving Entity

Retrieve one LSE by lseId.

Resource URI

GET /rest/public/lses/{lseId}

Example

GET /rest/public/lses/2756
{
  "status": "success",
  "count": 1,
  "type": "LoadServingEntity",
  "results": [{
    "lseId": 2756,
    "name": "Georgia Power Co",
    "code": "7140",
    "websiteHome": "http://www.georgiapower.com/"}]
}